\documentclass{SM3Efinal_exam}
\usepackage{multicol}
\usepackage{wrapfig}
\usepackage{enumitem}

\setlength{\columnsep}{5mm}

\newcommand{\ResultsTable}{%
\centerline{%
 \begin{tabular}{|l||c|c|c|c|c|c||c|}
 \hline
\bf Name and surname & \multicolumn{6}{c||}{\bf Problem} & $\boldsymbol{\Sigma}$ \\
 & \small 1 & \small 2 & \small 3 & \small 4 & \small 5 & \small 6 & \\
   \hline
\hspace{92mm} & 
\hspace{6mm} & \hspace{6mm} & 
\hspace{6mm} & \hspace{6mm} &
\hspace{6mm} & \hspace{6mm} &
\hspace{6mm} \\[12mm] 
\hline
\end{tabular}
}}

\begin{document}    
\maketitle{17 June 2022}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\ResultsTable
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{multicols}{2}
\Problem{20}{%
For the given frame structure, using the \emph{simplified displacement method}~(or slope-deflection method), determine the reactions and draw internal force diagrams, including all important values. Take the Young modulus $E = 20$~GPa and the coefficient of thermal expansion $\alpha = 1.2 \cdot 10^{-5}$~K$^{-1}$.

\centerline{\includegraphics[scale=0.85]{figures/problem01_2}}
}
\end{multicols}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{multicols}{2}
\Problem{20}{%
For the truss structure below, determine the degree of static indeterminacy and, using the \emph{force method}, determine the reactions and draw internal force diagrams. All members have the same material  and cross-section properties ($E = 10$~GPa and $A = 4 \cdot 10^{-2}$~m$^2$). 

 \centerline{\includegraphics[scale=0.85]{figures/problem02B_1}}
}
\end{multicols}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{multicols}{2}
\Problem{12}{%

\centerline{\includegraphics[scale=.85]{figures/problem03A_1}}

The given frame structure will be analyzed using the \emph{simplified displacement/slope-displacement method}. All members have the same cross-section properties $EI = 36 \cdot 10^3$~kNm$^2$. 
%
\begin{itemize}[itemsep=-1ex, leftmargin=1ex]
    \item[a)] Determine the \emph{minimum} number of fundamental unknowns. Re-draw the static scheme, determine the type of each member (CC, CP, PC) and individual unknowns. Write down the physical meaning of each unknown. 
    
    \item[b)] For joint $\bf 3$ and storey $\bf 3$--$\bf 4$, express all fundamental equations of the displacement method, using the end forces and moments in the global coordinate system (i.e. use the symbols $X_{35}$, $Z_{35}$, or $M_{34}$ without expanding them further). Write down the physical meaning of each equation.
    
    \item[c)] Express the end forces $X_{31}$, $Z_{34}$, $M_{34}$, and $M_{56}$ (in the global coordinate system) in terms of fundamental unknowns while explicitly computing all remaining quantities, and specify their physical units. For instance:
    %
    \begin{align*}
        Z_{31} = 6.88 + 9 \cdot 10^3 \varphi_3 + 1.5 \cdot 10^3 (w_3
        \quad
        \text{[m, rad, kN]}
    \end{align*}    
    %   
\end{itemize}
%
}
\end{multicols}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\Problem{8}{%
The given truss structure will be analyzed using the \emph{general displacement method}~(GDM). All members have the same Young modulus $E = 210$~GPa and cross-section area $A = 4 \cdot 10^{-3}$~m$^2$. 

\begin{center}
    \includegraphics[scale=.85]{figures/problem04_1}    
\end{center}

\begin{itemize}\noitemsep
    \item[a)] Re-draw the static scheme and introduce the fundamental unknowns. Write down the physical meaning of each unknown. 
    
    \item[b)] For joint $\bf 4$, express all fundamental equations of the displacement method, using the end forces and moments in the global coordinate system (i.e. use the symbols $X_{85}$ or $Z_{85}$ without expanding them further). Write down the physical meaning of each equation.
    
    \item[c)] Express the end forces $X_{41}$ and $Z_{41}$ (in the global coordinate system) in terms of fundamental unknowns while explicitly computing all remaining quantities, and specify their physical units. 
\end{itemize}
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{multicols}{2}

\Problem{8}{%
The given frame structure will be analyzed using the \emph{force method}. Take $EI$ constant. 

\begin{center}
    \includegraphics[scale=.9]{figures/problem05_1}
\end{center}

\begin{itemize}\noitemsep
    \item[a)] Determine an appropriate primary structure and graphically denote all primary unknowns of the force method. Write down the physical meaning of each unknown.
    
    \item[b)] Write down all fundamental unknowns of the force method needed to determine the unknowns. The coefficients $\delta_{ij}$ do not need to be evaluated.
    
    \item[c)] Sketch the static schemes and loads needed to determine the coefficient $\delta_{10}$ (you do not need to draw the diagrams of the corresponding internal forces). Write down the physical meaning of this coefficient. 

    \item[d)] Sketch the static schemes and loads needed to determine the coefficient $\delta_{21}$ (you do not need to draw the diagrams of the corresponding internal forces). Write down the physical meaning of this coefficient. 
\end{itemize}
}
    
\end{multicols}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\smallskip
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{multicols}{2}

\Problem{12}{%
For the frame structure below determine the \emph{horizontal} displacement in joint $\bf 3$ using the \emph{principle of virtual forces}. All bars have the same Young modulus of $E = 30$~GPa and the second moment of area of $I = 10^{-3}$~mm$^4$. 
%
\begin{center}
    \includegraphics[scale=.9]{figures/problem06B_1}
\end{center}
}

\end{multicols}

\Request

\end{document}